> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get driveimportv1imports 1

> Gets the details of an import job on the domain.



## OpenAPI

````yaml /openapis/driveImport.json get /driveImport/v1/imports/{importId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: driveImport
    description: Lets you import files and manage imported files
paths:
  /driveImport/v1/imports/{importId}:
    get:
      tags:
        - driveImport
      description: Gets the details of an import job on the domain.
      operationId: driveImport:v1.DriveImport.getImport
      parameters:
        - $ref: '#/components/parameters/importId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiImport response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiImport'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    importId_path_parameter:
      name: importId
      in: path
      description: The ID of an import job
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiImport:
      type: object
      properties:
        destinationFolderId:
          type: string
        destinationFolderName:
          type: string
        error:
          type: integer
          format: int32
        id:
          type: string
        importer:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        kind:
          type: string
        lastModifiedAt:
          type: integer
          format: int64
        libraryId:
          type: string
        libraryName:
          type: string
        startedAt:
          type: integer
          format: int64
        status:
          type: string
        success:
          type: integer
          format: int32
        toImport:
          type: integer
          format: int32
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````